package com.yihu.hos.services;

import com.yihu.hos.models.Endpoint;
import org.apache.log4j.LogManager;
import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.mongodb.core.MongoOperations;
import org.springframework.data.mongodb.core.query.Query;
import org.springframework.stereotype.Service;

/**
 * @created Airhead 2016/7/27.
 */
@Service
public class EndpointService {
    private static final Logger logger = LogManager.getLogger(BrokerServerService.class);

    @Autowired
    private MongoOperations mongoOperations;

    public void save(Endpoint endpoint) {
        mongoOperations.save(endpoint);
    }

    public Endpoint get(String serviceName){
        return mongoOperations.findOne(new Query(), Endpoint.class);
    }
}
